Package org.eclipse.birt.report.engine.api.script.eventadapter

# Class DynamicTextEventAdapter

java.lang.Object
org.eclipse.birt.report.engine.api.script.eventadapter.DynamicTextEventAdapter

All Implemented Interfaces:
  `IDynamicTextEventHandler`

public class DynamicTextEventAdapter extends Object implements IDynamicTextEventHandler
Default (empty) implementation of the IDynamicTextEventHandler interface

## Constructor Summary

Constructors
Constructor
Description
`DynamicTextEventAdapter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onCreate(IDynamicTextInstance text, IReportContext reportContext)`
Handle the onCreate event
`void`
`onPageBreak(IDynamicTextInstance text, IReportContext reportContext)`
Handle the onPageBreak event
`void`
`onPrepare(IDynamicText textData, IReportContext reportContext)`
Handle the onPrepare event
`void`
`onRender(IDynamicTextInstance text, IReportContext reportContext)`
Handle the onRender event

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DynamicTextEventAdapter

public DynamicTextEventAdapter()

## Method Details

### onPrepare

public void onPrepare(IDynamicText textData, IReportContext reportContext) throws ScriptException
Description copied from interface: `IDynamicTextEventHandler`
Handle the onPrepare event

Specified by:
  `onPrepare` in interface `IDynamicTextEventHandler`
Throws:
  `ScriptException`

### onCreate

public void onCreate(IDynamicTextInstance text, IReportContext reportContext) throws ScriptException
Description copied from interface: `IDynamicTextEventHandler`
Handle the onCreate event

Specified by:
  `onCreate` in interface `IDynamicTextEventHandler`
Throws:
  `ScriptException`

### onRender

public void onRender(IDynamicTextInstance text, IReportContext reportContext) throws ScriptException
Description copied from interface: `IDynamicTextEventHandler`
Handle the onRender event

Specified by:
  `onRender` in interface `IDynamicTextEventHandler`
Throws:
  `ScriptException`

### onPageBreak

public void onPageBreak(IDynamicTextInstance text, IReportContext reportContext) throws ScriptException
Description copied from interface: `IDynamicTextEventHandler`
Handle the onPageBreak event

Specified by:
  `onPageBreak` in interface `IDynamicTextEventHandler`
Throws:
  `ScriptException`